mobileSDK: Get User Data

/onetimeidentification/mobilesdk/getdatajwt

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

ParameterValue
personPresenceValue in %. We check person presence and compare to the photo from the document.
liveness0 - The check has not been done
1 - Unsuccess
2 - Success
faceMatch1 - Unsuccess
2 - Success
docTypeIDcard / Passport
userGenderMale / Female
sourceUserData0 - Unknown
1 - Self-declared by user
2 - Read from document image
3 - Read from document MRZ code
4 - Read from document chip
5 - Received from registration authority
6 - Received from register

IDToken: It is a JSON Web Token (JWT), which contains user data. The structure of 'identificationData' from the payload is below. In "user" you get the data attributes set to required when the mobile SDK method was called:

{
"oneTimeIdentificationDate": 0,
"identification": {
"personPresence": 0,
"liveness": 0,
"faceMatch": 0
},
"user": {
"firstName": "string",
"middleName": "string",
"lastName": "string",
"firstNameLatin": "string",
"middleNameLatin": "string",
"lastNameLatin": "string",
"identificationNumber": "string",
"documentNumber": "string",
"docType": "string",
"documentValidDate": 0,
"documentIssuerName": "string",
"documentIssueDate": 0,
"documentCountryCode": "string",
"dateOfBirth": 0,
"placeOfBirth": "string",
"nationality": "string",
"nationalityCountryCode": "string",
"address": "string",
"district": "string",
"municipality": "string",
"settlement": "string",
"location": "string",
"buildingNumber": "string",
"entrance": "string",
"floor": "string",
"apartment": "string",
"userGender": "string",
"userPicture": "string",
"userSpecimen": "string",
"userIDFront": "string",
"userIDBack": "string",
"secretSelfie": "string",
"secretVideo": "string"
},
"sourceUserData": {
"firstName": 0,
"middleName": 0,
"lastName": 0,
"firstNameLatin": 0,
"middleNameLatin": 0,
"lastNameLatin": 0,
"identificationNumber": 0,
"documentNumber": 0,
"docType": 0,
"documentValidDate": 0,
"documentIssuerName": 0,
"documentIssueDate": 0,
"documentCountryCode": 0,
"dateOfBirth": 0,
"placeOfBirth": 0,
"nationality": 0,
"address": 0,
"userGender": 0,
"userPicture": 0
}
}

i

Body Params
string
required

{
"vendorNumber": "YOUR_VENDOR_NUMBER",
"referenceID": ""
}

Headers
string
required

Authorization value.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json